walzen = {};

function walzen.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function walzen:load(xmlFile)
	self.walze = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.walze#index"));
	self.walze2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.walze#index2"));
	self.walze3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.walze#index3"));
	self.drumRotationScale2 = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.walze#rotationScale"), 1);
	self.walzenon = false;
end;

function walzen:delete()
end;

function walzen:mouseEvent(posX, posY, isDown, isUp, button)
end;

function walzen:keyEvent(unicode, sym, modifier, isDown)
end;

function walzen:update(dt)

end;

function walzen:updateTick(dt)
	if self.walzenon then
		if self.walze ~= nil then
			rotate(self.walze, self.drumRotationScale2 * 0.04 +dt  * self.attacherVehicle.lastSpeed * 3, 0, 0);
		end;
		if self.walze2 ~= nil then
			rotate(self.walze2, self.drumRotationScale2 * 0.04 +dt  * self.attacherVehicle.lastSpeed * 3, 0, 0);
		end;
		if self.walze3 ~= nil then
			rotate(self.walze3, self.drumRotationScale2 * 0.04 +dt  * self.attacherVehicle.lastSpeed * 3, 0, 0);
		end;
	end;
end;

function walzen:draw()
end;

function walzen:onAttach()
end;

function walzen:onDetach()
end;
function walzen:onStartTip(currentTipTrigger, noEventSend)
	self.walzenon = not self.walzenon;
end;

function walzen:onEndTip(noEventSend)
	self.walzenon = not self.walzenon;
end;